Index: general/genlib/libxml2/libxml2.ent
===================================================================
--- general/genlib/libxml2/libxml2.ent	(revision 0d2479d05dd34f9a38676d320f506d9b7611d4fc)
+++ general/genlib/libxml2/libxml2.ent	(revision b7642c5ce26c8d7f459cf6ecb220a6bc658e8970)
@@ -4,8 +4,8 @@
 <!ENTITY libxml2-desc SYSTEM "libxml2-desc.xml">
 <!ENTITY libxml2-exp SYSTEM "libxml2-exp.xml">
-<!ENTITY libxml2-version "2.6.8">
+<!ENTITY libxml2-version "2.6.9">
 <!ENTITY libxml2-download-http "http://ftp.gnome.org/pub/GNOME/sources/libxml2/2.6/libxml2-&libxml2-version;.tar.bz2">
 <!ENTITY libxml2-download-ftp "ftp://xmlsoft.org/libxml2-&libxml2-version;.tar.gz">
 <!ENTITY libxml2-size "2.6 MB">
-<!ENTITY libxml2-buildsize "70.5 MB">
-<!ENTITY libxml2-time "0.94 SBU">
+<!ENTITY libxml2-buildsize "56 MB">
+<!ENTITY libxml2-time "1.10 SBU">
Index: general/genlib/libxslt/libxslt.ent
===================================================================
--- general/genlib/libxslt/libxslt.ent	(revision 0d2479d05dd34f9a38676d320f506d9b7611d4fc)
+++ general/genlib/libxslt/libxslt.ent	(revision b7642c5ce26c8d7f459cf6ecb220a6bc658e8970)
@@ -3,8 +3,8 @@
 <!ENTITY libxslt-inst SYSTEM "libxslt-inst.xml">
 <!ENTITY libxslt-desc SYSTEM "libxslt-desc.xml">
-<!ENTITY libxslt-version "1.1.5">
+<!ENTITY libxslt-version "1.1.6">
 <!ENTITY libxslt-download-http "http://ftp.gnome.org/pub/GNOME/sources/libxslt/1.1/libxslt-&libxslt-version;.tar.bz2">
 <!ENTITY libxslt-download-ftp "ftp://xmlsoft.org/libxslt-&libxslt-version;.tar.gz">
 <!ENTITY libxslt-size "1.7 MB">
-<!ENTITY libxslt-buildsize "36.2 MB">
-<!ENTITY libxslt-time "0.29 SBU">
+<!ENTITY libxslt-buildsize "34 MB">
+<!ENTITY libxslt-time "0.40 SBU">
Index: gnome/core/control/control-center-intro.xml
===================================================================
--- gnome/core/control/control-center-intro.xml	(revision 0d2479d05dd34f9a38676d320f506d9b7611d4fc)
+++ gnome/core/control/control-center-intro.xml	(revision b7642c5ce26c8d7f459cf6ecb220a6bc658e8970)
@@ -21,8 +21,14 @@
 <sect3><title><application>Control Center</application> dependencies</title>
 <sect4><title>Required</title>
-<para><xref linkend="gnome-desktop"/>, <xref linkend="nautilus"/>, <xref
-linkend="metacity"/> and <xref linkend="libxklavier"/></para></sect4>
+<para>
+<xref linkend="libxklavier"/>
+<xref linkend="metacity"/>
+<xref linkend="nautilus"/>,
+</para></sect4>
 <sect4><title>Optional</title>
-<para><xref linkend="gst-plugins"/></para></sect4>
+<para>
+<xref linkend="alsa"/>
+<xref linkend="gst-plugins"/>
+</para></sect4>
 </sect3>
 
Index: gnome/core/control/control-center.ent
===================================================================
--- gnome/core/control/control-center.ent	(revision 0d2479d05dd34f9a38676d320f506d9b7611d4fc)
+++ gnome/core/control/control-center.ent	(revision b7642c5ce26c8d7f459cf6ecb220a6bc658e8970)
@@ -4,8 +4,8 @@
 <!ENTITY control-center-exp SYSTEM "control-center-exp.xml">
 <!ENTITY control-center-desc SYSTEM "control-center-desc.xml">
-<!ENTITY control-center-version "2.6.0.3">
+<!ENTITY control-center-version "2.6.1">
 <!ENTITY control-center-download-http "http://ftp.gnome.org/pub/GNOME/sources/control-center/2.6/control-center-&control-center-version;.tar.bz2">
 <!ENTITY control-center-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/control-center/2.6/control-center-&control-center-version;.tar.bz2">
-<!ENTITY control-center-size "3.9 MB">
+<!ENTITY control-center-size "2.4 MB">
 <!ENTITY control-center-buildsize "115.1 MB">
 <!ENTITY control-center-time "1.02 SBU">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 0d2479d05dd34f9a38676d320f506d9b7611d4fc)
+++ introduction/welcome/changelog.xml	(revision b7642c5ce26c8d7f459cf6ecb220a6bc658e8970)
@@ -11,4 +11,8 @@
 
 <itemizedlist>
+
+<listitem><para>April 21st, 2004 [igor]: Updated to OpenSSH-3.8.1p1,
+libxml2-2.6.9 and libxslt-1.1.6 thanks to Thomas Beneke and
+Matthew Burgess.</para></listitem>
 
 <listitem><para>April 21st, 2004 [igor]: Updated to
Index: server/other/openssh/openssh-intro.xml
===================================================================
--- server/other/openssh/openssh-intro.xml	(revision 0d2479d05dd34f9a38676d320f506d9b7611d4fc)
+++ server/other/openssh/openssh-intro.xml	(revision b7642c5ce26c8d7f459cf6ecb220a6bc658e8970)
@@ -19,5 +19,11 @@
 <para><xref linkend="openssl"/></para></sect4>
 <sect4><title>Optional</title>
-<para>X11-ssh-askpass and <xref linkend="Linux_PAM"/></para></sect4>
+<para>
+<xref linkend="Linux_PAM"/>,
+<xref linkend="tcpwrappers"/>,
+<xref linkend="xfree86"/>,
+<ulink url="http://web.mit.edu/kerberos/www/">krb5</ulink> and
+<ulink url="http://www.opensc.org/">OpenSC</ulink>
+</para></sect4>
 </sect3>
 
Index: server/other/openssh/openssh.ent
===================================================================
--- server/other/openssh/openssh.ent	(revision 0d2479d05dd34f9a38676d320f506d9b7611d4fc)
+++ server/other/openssh/openssh.ent	(revision b7642c5ce26c8d7f459cf6ecb220a6bc658e8970)
@@ -5,8 +5,8 @@
 <!ENTITY openssh-config SYSTEM "openssh-config.xml">
 <!ENTITY openssh-desc SYSTEM "openssh-desc.xml">
-<!ENTITY openssh-version "3.8p1">
+<!ENTITY openssh-version "3.8.1p1">
 <!ENTITY openssh-download-http "http://sunsite.ualberta.ca/pub/OpenBSD/OpenSSH/portable/openssh-&openssh-version;.tar.gz">
 <!ENTITY openssh-download-ftp "ftp://ftp.openbsd.org/pub/OpenBSD/OpenSSH/portable/openssh-&openssh-version;.tar.gz">
-<!ENTITY openssh-size "812 KB">
+<!ENTITY openssh-size "799 KB">
 <!ENTITY openssh-buildsize "37 MB">
-<!ENTITY openssh-time "0.32 SBU">
+<!ENTITY openssh-time "0.49 SBU">
